# Generated by Django 3.2.8 on 2022-04-19 19:26

import django.core.validators
import edc_model.models.fields.other_charfield
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("effect_lists", "0008_delete_medicinesday14"),
        ("effect_subject", "0036_auto_20220419_2036"),
    ]

    operations = [
        migrations.AlterField(
            model_name="adherence",
            name="adherence_counselling_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="diary_issued_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="diary_match_medication_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="diary_returned_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="fluconazole_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (1 dose per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(14),
                ],
                verbose_name="If YES, number of Fluconazole doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="flucytosine_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (4 doses per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(56),
                ],
                verbose_name="If YES, number of Flucytosine doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="linked_local_clinic_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="medication_reconciliation_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="receiving_arv_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="adherence",
            name="receiving_fluconazole_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="arvtreatment",
            name="adherent",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="In the opinion of the clinican, is the patient at least 90% adherent",
                max_length=15,
                verbose_name="If YES, on an ART regimen, has the patient adhered to this ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="chestxray",
            name="chest_xray_date",
            field=models.DateField(
                blank=True, null=True, verbose_name="If YES, what date was it performed?"
            ),
        ),
        migrations.AlterField(
            model_name="chestxray",
            name="chest_xray_results",
            field=models.ManyToManyField(
                blank=True,
                to="effect_lists.XRayResults",
                verbose_name="If YES, what were the results?",
            ),
        ),
        migrations.AlterField(
            model_name="diagnoses",
            name="gi_side_effects",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="If YES, complete SAE report where appropriate",
                max_length=15,
                verbose_name="Has the patient experienced any gastrointestinal side effects?",
            ),
        ),
        migrations.AlterField(
            model_name="diagnoses",
            name="gi_side_effects_details",
            field=models.TextField(
                blank=True, null=True, verbose_name="If YES, please give details"
            ),
        ),
        migrations.AlterField(
            model_name="diagnoses",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of these diagnoses?",
            ),
        ),
        migrations.AlterField(
            model_name="diagnoses",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these diagnoses Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="adherence_counselling_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="diary_issued_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="diary_match_medication_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="diary_returned_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="fluconazole_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (1 dose per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(14),
                ],
                verbose_name="If YES, number of Fluconazole doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="flucytosine_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (4 doses per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(56),
                ],
                verbose_name="If YES, number of Flucytosine doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="linked_local_clinic_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="medication_reconciliation_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="receiving_arv_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherence",
            name="receiving_fluconazole_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="adherence_counselling_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="diary_issued_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="diary_match_medication_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="diary_returned_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="fluconazole_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (1 dose per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(14),
                ],
                verbose_name="If YES, number of Fluconazole doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="flucytosine_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (4 doses per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(56),
                ],
                verbose_name="If YES, number of Flucytosine doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="linked_local_clinic_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="medication_reconciliation_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="receiving_arv_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagefour",
            name="receiving_fluconazole_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="adherence_counselling_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="diary_issued_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="diary_match_medication_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="diary_returned_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="fluconazole_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (1 dose per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(14),
                ],
                verbose_name="If YES, number of Fluconazole doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="flucytosine_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (4 doses per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(56),
                ],
                verbose_name="If YES, number of Flucytosine doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="linked_local_clinic_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="medication_reconciliation_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="receiving_arv_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestageone",
            name="receiving_fluconazole_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="adherence_counselling_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="diary_issued_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="diary_match_medication_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="diary_returned_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="fluconazole_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (1 dose per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(14),
                ],
                verbose_name="If YES, number of Fluconazole doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="flucytosine_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (4 doses per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(56),
                ],
                verbose_name="If YES, number of Flucytosine doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="linked_local_clinic_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="medication_reconciliation_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="receiving_arv_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagethree",
            name="receiving_fluconazole_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="adherence_counselling_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="diary_issued_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="diary_match_medication_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="diary_returned_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="fluconazole_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (1 dose per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(14),
                ],
                verbose_name="If YES, number of Fluconazole doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="flucytosine_doses_missed",
            field=models.IntegerField(
                default=0,
                help_text="This should be measured in single doses (4 doses per day)",
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(56),
                ],
                verbose_name="If YES, number of Flucytosine doses missed since last visit:",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="linked_local_clinic_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="medication_reconciliation_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="receiving_arv_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicaladherencestagetwo",
            name="receiving_fluconazole_reason_no",
            field=edc_model.models.fields.other_charfield.OtherCharField(
                blank=True,
                max_length=35,
                null=True,
                verbose_name="If NO, please specify reason ...",
            ),
        ),
        migrations.AlterField(
            model_name="historicalarvtreatment",
            name="adherent",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="In the opinion of the clinican, is the patient at least 90% adherent",
                max_length=15,
                verbose_name="If YES, on an ART regimen, has the patient adhered to this ART regimen?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalchestxray",
            name="chest_xray_date",
            field=models.DateField(
                blank=True, null=True, verbose_name="If YES, what date was it performed?"
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiagnoses",
            name="gi_side_effects",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="If YES, complete SAE report where appropriate",
                max_length=15,
                verbose_name="Has the patient experienced any gastrointestinal side effects?",
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiagnoses",
            name="gi_side_effects_details",
            field=models.TextField(
                blank=True, null=True, verbose_name="If YES, please give details"
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiagnoses",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of these diagnoses?",
            ),
        ),
        migrations.AlterField(
            model_name="historicaldiagnoses",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these diagnoses Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalmentalstatus",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to these symptoms?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalmentalstatus",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these symptoms Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienttreatment",
            name="lp_completed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="If YES, complete laboratory results",
                max_length=15,
                verbose_name="LP completed?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalpatienttreatment",
            name="which_steroids",
            field=models.CharField(
                choices=[
                    ("oral_prednisolone", "Oral prednisolone"),
                    ("iv_dexamethasone", "IV Dexamethasone"),
                    ("OTHER", "Other, please specify below ..."),
                    ("N/A", "Not applicable (no steroids administered)"),
                ],
                max_length=35,
                verbose_name="If YES, which steroids where administered?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="cm_sx_lp_done",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'Lumbar Puncture/CSF' CRF.",
                max_length=15,
                verbose_name="If the patient has CM signs or symptoms, was an LP done?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="cm_sx_patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="If the patient has CM signs or symptoms, was the patient admitted?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="lp_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'Lumbar Puncture/CSF' CRF.",
                max_length=15,
                verbose_name="Was a lumbar puncture performed?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of these signs or symptoms?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these signs or symptoms Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="urinary_lam_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'TB Diagnostics' CRF.",
                max_length=15,
                verbose_name="Was a urinary LAM performed?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsignsandsymptoms",
            name="xray_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'Chest X-ray' CRF.",
                max_length=15,
                verbose_name="Was an X-ray performed?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectvisit",
            name="hospitalized",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been hospitalized since the last assessment?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalvitalsigns",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of the above?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalvitalsigns",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of the above reportable as Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="mentalstatus",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to these symptoms?",
            ),
        ),
        migrations.AlterField(
            model_name="mentalstatus",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these symptoms Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="patienttreatment",
            name="lp_completed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="If YES, complete laboratory results",
                max_length=15,
                verbose_name="LP completed?",
            ),
        ),
        migrations.AlterField(
            model_name="patienttreatment",
            name="which_steroids",
            field=models.CharField(
                choices=[
                    ("oral_prednisolone", "Oral prednisolone"),
                    ("iv_dexamethasone", "IV Dexamethasone"),
                    ("OTHER", "Other, please specify below ..."),
                    ("N/A", "Not applicable (no steroids administered)"),
                ],
                max_length=35,
                verbose_name="If YES, which steroids where administered?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="cm_sx_lp_done",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'Lumbar Puncture/CSF' CRF.",
                max_length=15,
                verbose_name="If the patient has CM signs or symptoms, was an LP done?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="cm_sx_patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="If the patient has CM signs or symptoms, was the patient admitted?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="current_sx_gte_g3",
            field=models.ManyToManyField(
                help_text="If YES, complete AE Initial report.</br>",
                related_name="sx_gte_g3",
                to="effect_lists.SiSx",
                verbose_name="For these signs/symptoms, were any Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="lp_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'Lumbar Puncture/CSF' CRF.",
                max_length=15,
                verbose_name="Was a lumbar puncture performed?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of these signs or symptoms?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of these signs or symptoms Grade 3 or above?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="urinary_lam_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'TB Diagnostics' CRF.",
                max_length=15,
                verbose_name="Was a urinary LAM performed?",
            ),
        ),
        migrations.AlterField(
            model_name="signsandsymptoms",
            name="xray_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete 'Chest X-ray' CRF.",
                max_length=15,
                verbose_name="Was an X-ray performed?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectvisit",
            name="hospitalized",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been hospitalized since the last assessment?",
            ),
        ),
        migrations.AlterField(
            model_name="vitalsigns",
            name="patient_admitted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Has the patient been admitted due to any of the above?",
            ),
        ),
        migrations.AlterField(
            model_name="vitalsigns",
            name="reportable_as_ae",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="If YES, complete AE Initial report.",
                max_length=15,
                verbose_name="Are any of the above reportable as Grade 3 or above?",
            ),
        ),
    ]
